Get the preview account of a production

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/preview-account

Return the preview account of the production, or null when there is none. Restricted to managers of the production.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

Responses

  • 200 application/json

    Preview account or null

    Hide response attributes Show response attributes object | null
    • id string(uuid)
    • email string
    • full_name string
    • preview_open_until string(date-time) | null

      End of the access window, null when closed

GET /data/projects/{project_id}/preview-account
curl \
 --request GET 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/preview-account' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "id": "string",
  "email": "preview-0a1b2c3d4e5f@preview.kitsu.invalid",
  "full_name": "Preview Cosmos Landromat",
  "preview_open_until": "2026-05-04T09:42:00Z"
}